Opened 11 years ago

Closed 8 years ago

#8741 closed defect (invalid)

Upgrade Twisted to 11.0

Reported by: timdumol Owned by: tbd
Priority: major Milestone: sage-duplicate/invalid/wontfix
Component: packages: standard Keywords:
Cc: Merged in:
Authors: Reviewers: Jason Grout, Tim Dumol
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description (last modified by jason)

Twisted is now version 11.0, bringing a bunch of bug fixes.

The new package is at http://sage.math.washington.edu/home/jason/twisted-11.0.0.spkg

The new sage notebook at http://code.google.com/r/jasongrout-flask-sagenb/ is needed to test this package

Change History (15)

comment:1 Changed 11 years ago by timdumol

  • Authors set to Tim Dumol
  • Description modified (diff)
  • Status changed from new to needs_review

comment:2 Changed 11 years ago by jason

Note that 10.1 is out now as well; I don't know if we should just upgrade to 10.1 (maybe on another ticket?)

comment:3 Changed 11 years ago by jason

  • Authors changed from Tim Dumol to Tim Dumol, Jason Grout
  • Description modified (diff)
  • Reviewers set to Jason Grout

I updated it to 10.1, the web2 directory to the SVN current version, and zope interfaces to 3.6.1.

Tim, do you want to review my update to your spkg?

comment:4 Changed 11 years ago by jason

  • Description modified (diff)

comment:5 Changed 11 years ago by jason

  • Summary changed from Upgrade Twisted to 10.0 to Upgrade Twisted to 10.1

comment:6 Changed 10 years ago by ltw

Now that Twisted 11.0 is out, perhaps we should close this ticket quickly and open a new one?

Trac, I did NOT delete dependencies; it was blank to begin with!

comment:7 Changed 10 years ago by kcrisman

See also #11497, just to be aware.

Also, don't forget to include the web2 by hand! Unless we finally don't need that any more...

comment:8 Changed 9 years ago by jason

  • Description modified (diff)
  • Summary changed from Upgrade Twisted to 10.1 to Upgrade Twisted to 11.0

The new flask notebook upgrades twisted to 11.0, so this ticket can be

comment:9 Changed 9 years ago by jason

The new flask notebook upgrades twisted to 11.0, so I updated this ticket.

comment:10 follow-up: Changed 9 years ago by jason

  • Status changed from needs_review to positive_review

This ticket is now obsolete and superseded by #11874.

comment:11 in reply to: ↑ 10 Changed 9 years ago by jdemeyer

Replying to jason:

This ticket is now obsolete and superseded by #11874.

Please explain what you mean with this.

comment:12 Changed 9 years ago by jdemeyer

  • Status changed from positive_review to needs_info

comment:13 Changed 9 years ago by jason

This ticket should be closed as a duplicate of #11874.

comment:14 Changed 9 years ago by thisch

Any reason why this ticket is still not closed?

comment:15 Changed 8 years ago by jdemeyer

  • Authors Tim Dumol, Jason Grout deleted
  • Milestone changed from sage-5.10 to sage-duplicate/invalid/wontfix
  • Resolution set to invalid
  • Reviewers changed from Jason Grout to Jason Grout, Tim Dumol
  • Status changed from needs_info to closed
Note: See TracTickets for help on using tickets.